/*Richard Reiswich*/
package com.bib.essensbestellungsverwaltung;

import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.Alert;
import javafx.scene.control.PasswordField;
import javafx.scene.control.TextField;
import javafx.stage.Stage;

import java.io.IOException;
import java.util.HashMap;

public class LoginController {
    @FXML
    private TextField tfEmail;

    @FXML
    private PasswordField pfPassword;

    @FXML
    protected void  onBtLoginClick() throws IOException {
        String email = tfEmail.getText();
        String password = pfPassword.getText();
        long loginPruefen = AccountMgr.login(email,password);
        if(loginPruefen > 0){
            AccountMgr.currentUser = AccountMgr.getUserById(loginPruefen);
            if(AccountMgr.currentUser.getClass().getSimpleName().equals("Worker")){
                StartViewApplication.changeScene("workerMenu-view.fxml");
            }else{
                StartViewApplication.changeScene("parentMenu-view.fxml");
            }

        }else {
            Alert alert = new Alert(Alert.AlertType.ERROR,"Email oder Passwort ist falsch");
            alert.showAndWait();
        }

        tfEmail.setText("");
        pfPassword.setText("");
    }
    @FXML
    protected void changeToSignUp() throws IOException {
        StartViewApplication.changeScene("signUp-view.fxml");
    }
}
